Skip to main content
GET
Read Data Source Import Task

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataSourceImportTaskId
string
required

Response

200 - application/json

OK

engagementId
string
required
state
enum<string>
required

The current state of the data source import task.

Available options:
INITIALIZING,
VALIDATING,
UPDATING_SOURCES,
IMPORTING_DATA,
TRANSFORMING_DATA,
MERGING,
COMPLETE,
FAILED
type
enum<string>
required

The type of data source the data source import task is importing data from.

Available options:
DATA_CATALOG_ENTRY,
CONNECTION_TABLE,
DATA_TABLE
dataSourceId
string
required

The ID of the data source this data source import task is importing data from.

dataRequest
Data Source Data Request · object
required

The request parameters of the data source import task.

outputDataTableId
string
required

The table where the data from the data source import task will be written.

id
string

The unique object identifier.

version
integer<int64>

Data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

errors
object[]